Bug 190155 - scp exiting non-zero on success
scp exiting non-zero on success
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 04:39 EDT by Tomas Mraz
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: openssh-3.6.1p2-33.30.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 07:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2006-04-28 04:39:18 EDT
+++ This bug was initially created as a clone of Bug #190147 +++

Description of problem:

With the latestup update to openssh, when doing an 'scp user@host:/path/to/src
file user@host:/path/to/destination' style scp command, it exits 1 instead of 0
on success.  

with -vvv option it shows:

debug1: Exit status 0
but echo $? => 1

Version-Release number of selected component (if applicable):

openssh-3.9p1-8.RHEL4.12

How reproducible:

Every time.  Test case script attached.

Steps to Reproduce:

    Use attached script.
  
Actual results:

    $ scp user@localhost:/tmp/junk.dat user@localhost:/tmp/junk.dat.copy
    $ echo $?
    1

Expected results:
    $ scp user@localhost:/tmp/junk.dat user@localhost:/tmp/junk.dat.copy
    $ echo $?
    0

Additional info:

-- Additional comment from jjh-redhat-bugzilla@hinegardner.org on 2006-04-28
01:47 EST --
Created an attachment (id=128341)
Output of a correctly behaving scp


-- Additional comment from jjh-redhat-bugzilla@hinegardner.org on 2006-04-28
01:48 EST --
Created an attachment (id=128342)
output of an incorrectly behaving scp


-- Additional comment from jjh-redhat-bugzilla@hinegardner.org on 2006-04-28
01:50 EST --
Created an attachment (id=128343)
test case script

Note You need to log in before you can comment on or make changes to this bug.